@import "css.1.css";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box
}

html {
    font-size: 62.5%;
    -webkit-text-size-adjust: 100%
}

body,
html {
    height: 100%
}

body {
    overflow-x: hidden;
    min-width: 320px;
    background: #000;
    color: #fff;
    font-family: Montserrat, Arial, Helvetica, sans-serif;
    font-size: 16px;
    line-height: 1.4
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0
}

.step-btn,
.transition {
    transition: all 0.25s ease
}

iframe {
    border: none !important;
    width: 0 !important;
    height: 0 !important;
    position: absolute;
    display: none
}

img {
    display: block;
    max-width: 100%;
    height: auto
}

.main {
    position: relative;
    height: 100%;
    min-height: 480px;
    z-index: 1
}

ul {
    list-style-type: disc;
    margin-left: 2rem
}

ul li {
    font-size: 1.4rem;
    margin-bottom: 0.2rem
}

.step-btn,
.buttons-block {
    display: flex;
    justify-content: center;
    align-items: center
}

.step-btn {
    width: 80%;
    line-height: 1;
    max-width: 25rem;
    padding: 2rem;
    position: relative;
    color: #000;
    font-size: 1.6rem;
    text-decoration: none;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 0.1rem;
    border-radius: 50rem;
    cursor: pointer;
    background-color: #4872b0;
    background-image: linear-gradient(#edff5a 30%, #fffdb2);
    box-shadow: 0 2px 6px rgba(0, 0, 0, .2), inset 0 2px 2px hsla(0, 0%, 100%, 0.2)
}

.step-btn:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, .6), inset 0 2px 2px hsla(0, 0%, 100%, 0.2)
}

.step-btn:active {
    box-shadow: none
}

.step-block {
    overflow: hidden;
    left: 0;
    top: 0;
    z-index: 2
}

.step-item,
.step-block {
    height: 100%;
    position: relative
}

.step-item {
    display: none;
    color: #fff
}

.step-item:first-child {
    display: flex;
    align-items: center;
    justify-content: center;
}

.step-inner {
    height: 100%;
    display: flex;
    padding: 2rem 1rem;
    flex-direction: column;
    justify-content: center;
    gap: 10px;
}

@media(max-height: 900px) {
    .step-header {
        justify-content: flex-start;
    }
}

.step-header {
    position: relative;
    text-align: center;
    display: flex;
    align-items: center;
}

.step-header .image {
    position: relative;
    width: 20rem;
    height: 20rem;
    margin: auto;
    object-fit: cover;
    border-radius: 50rem
}

@media(max-height: 900px) {
    .step-header .image {
        width: 15rem;
        height: 15rem;
    }
}

.step-header .image::after {
    content: "";
    display: block;
    padding-bottom: 100%
}

.step-body {
    position: relative;
    margin-bottom: 1rem;
    font-size: 1.8rem;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.6), 0 1px 0 rgba(0, 0, 0, 0.6), -1px 0 0 rgba(0, 0, 0, 0.6), 1px 0 0 rgba(0, 0, 0, 0.6)
}

.step-body {
    text-align: center
}

.step-body h1,
.step-body h2 {
    text-transform: uppercase
}

.step-body h1 {
    font-size: 2.2rem
}

.step-body h1 {
    font-size: 1.8rem
}

.step-body ul {
    max-width: 50rem;
    margin: auto;
    padding: 0 0 0 2rem;
    text-align: left
}

.step-footer {
    position: relative
}

.bg {
    position: fixed
}

.bg,
.bg::after {
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 0
}

.bg::after {
    content: "";
    display: block;
    position: fixed;
    background-image: radial-gradient(rgba(0, 0, 0, 0.4) 50%, transparent 0);
    background-size: 2px 2px
}

.bg-item {
    /*background: url(../images/pic1.gif) 50% no-repeat;*/
    background-size: cover;
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    -webkit-filter: blur(8px);
    filter: blur(8px);
    object-fit: cover;
    /*transform: scale(1.02, 1.02)*/
}

.fadeInUp {
    animation: a 0.4s
}

.fadeInDown {
    animation: b 0.4s
}

@keyframes a {
    0% {
        opacity: 0;
        transform: translate3d(0, 10rem, 0);
    }

    to {
        opacity: 1;
        transform: translateZ(0);
    }
}

@keyframes b {
    0% {
        opacity: 0;
        transform: translate3d(0, -10rem, 0);
    }

    to {
        opacity: 1;
        transform: translateZ(0);
    }
}

@media (min-width:360px) {
    html {
        font-size: 75%
    }

    ul li {
        font-size: 1.6rem;
        margin-bottom: 0.5rem
    }

    .step__body .image {
        width: 24rem
    }
}

@media (min-width:768px) {
    html {
        font-size: 87.5%
    }

    .step-inner {
        justify-content: center
    }

    .step-header {
        margin-bottom: 2rem
    }

    .step-header .image {
        /*width: 25rem*/
    }

    .step-body {
        margin-bottom: 4rem
    }
}

@media (min-width:1400px) {
    html {
        font-size: 100%
    }
}

.wait-modal-container {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.4);
    z-index: 1111;
    justify-content: center;
    align-items: center;
    display: none;
}

.wait-modal-container.open {
    display: flex;
}

.wait-modal {
    border-radius: 8px;
    padding: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: white;
    box-shadow: 1px 1px 6px rgba(#373737, 0.5);
    pointer-events: auto;
    max-width: 340px;
    width: 100%;
}

.wait-modal-title {
    text-align: center;
    font-size: 24px;
    line-height: 1.3;
    margin-top: 0;
    margin-bottom: 20px;
    font-weight: bold;
    color: black;
}

/* ========== POPUP ========== */
.popup {
    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;
}

.popup_show {
    display: block;
}

.popup__overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, .55);
}

.popup__content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 520px;
    width: calc(100% - 32px);
    margin: 8vh auto;
    background: #fff;
    border-radius: 12px;
    padding: 20px 20px 16px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, .25);
    font-family: inherit;
    color: #222;
    max-height: max-content;
}

.popup__close {
    position: absolute;
    right: 8px;
    top: 6px;
    width: 32px;
    height: 32px;
    border: 0;
    background: transparent;
    font-size: 22px;
    cursor: pointer;
    line-height: 32px;
}

.popup__title {
    margin: 4px 0 8px;
    font-size: 20px;
    text-align: center;
}

.popup__desc {
    margin: 0 0 14px;
    text-align: center;
    color: #555;
}

.popup__actions {
    display: flex;
    gap: 8px;
    justify-content: center;
}

.btn {
    appearance: none;
    border: 0;
    border-radius: 50px;
    padding: .6rem 1rem;
    cursor: pointer;
    font: inherit
}

.btn-primary {
    color: #fff;
    border: 0px;
    cursor: pointer;
    border-radius: 4px;
    width: auto;
    font-size: 18px;
    height: auto;
    background: #286bb2;
}

.btn-ghost {
    background: transparent;
    color: #286bb2
}

html.lock, body.lock {
    overflow: hidden
}

#popup-email-exists {
    display: none;
}

#popup-email-exists.is-open {
    display: flex;
}

/* или block — как тебе нужно */